> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Check generation status

> Retrieve progress and results for a submitted generation.



## OpenAPI

````yaml api-reference/openapi.json get /generation/status/{generation_id}
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /generation/status/{generation_id}:
    get:
      tags:
        - Generation
      summary: Check generation status
      description: Retrieve progress and results for a submitted generation.
      operationId: getGenerationStatus
      parameters:
        - name: generation_id
          in: path
          required: true
          schema:
            type: string
          description: Identifier returned from the create or batch endpoints.
      responses:
        '200':
          description: Current status for the generation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerationStatusResponse'
        '404':
          description: Generation not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    GenerationStatusResponse:
      type: object
      properties:
        generation_id:
          type: string
        group_id:
          type: string
        generation_type:
          type: string
        status:
          type: string
        progress:
          type: integer
          minimum: 0
          maximum: 100
        result_urls:
          type: array
          items:
            type: string
            format: uri
        error:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        prompt:
          type: string
        service:
          type: string
        performance_metadata:
          oneOf:
            - $ref: '#/components/schemas/GenerationPerformanceMetadata'
            - type: object
              properties:
                total_generations:
                  type: integer
                completed_generations:
                  type: integer
                failed_generations:
                  type: integer
                running_generations:
                  type: integer
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Short error identifier.
        message:
          type: string
          description: Human readable error description.
        character_id:
          type: string
          description: Character that triggered the error, when relevant.
        group_id:
          type: string
          description: Group that triggered the error, when relevant.
    GenerationPerformanceMetadata:
      type: object
      additionalProperties:
        type: number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````